# StringType Class Reference
[Supported meta-types]

Inheritance diagram for StringType:
[legend]

List of all members.

## Public Member Functions

| getPrimitiveName ()
| setDefault ($default)
| getDeclaration ()
| isMeasurable ()
| toColumnType ($length=null)

## Detailed Description

Definition at line 15 of file StringType.class.php.

## Member Function Documentation

StringType::getDeclaration | ( |  | ) |

Reimplemented from BasePropertyType.

Definition at line 38 of file StringType.class.php.

References BasePropertyType::hasDefault().

Here is the call graph for this function:

StringType::getPrimitiveName | ( |  | ) |

Reimplemented from BasePropertyType.

Definition at line 17 of file StringType.class.php.

StringType::isMeasurable | ( |  | ) |

Reimplemented from BasePropertyType.

Definition at line 46 of file StringType.class.php.

StringType::setDefault | ( | $ | default | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  StringType

Reimplemented from BasePropertyType.

Definition at line 26 of file StringType.class.php.

References BasePropertyType::$default, and Assert::isString().

Here is the call graph for this function:

StringType::toColumnType | ( | $ | length = `null` | ) |

Reimplemented in FixedLengthStringType.

Definition at line 51 of file StringType.class.php.

The documentation for this class was generated from the following file:

- meta/types/StringType.class.php